| Manual
| Overview Installation Configuration User-defined Radio Messages HUD Radio Menu Commands & Variables FAQ Contact Credits |
> | Overview Communication is very important for teamplay gametypes like Team DM and CTF. Most players don't have time to read text messages in the heat of the fight. Quake III Radio adds support for radio messages to Quake III Arena, messages played through the speakers of any multimedia computer. These radio messages can be user-defined by configuration files, so your own personalised messages can be added. The radio messages are stored as pre-recorded wave files, Quake III Radio is not a real time communications system (mainly because they use too much bandwidth). Installation The following installation describtion assumes that your are using MS Windows but these steps should work well with Linux and MacOS, too. Installation of Quake III Radio is pretty simple. Download the newest version of Quake III Radio from http://www.planetquake.com/q3radio/. Open up WinZip (or any other ZIP tool) and extract Quake III Radio's ZIP file into your Quake III Arena directory. Make sure that the "Use folder names" checkbox is enabled. If you have an old Quake III Radio folder in your Quake III Arena directory, delete it first and backup files from this folder if needed (unless the Quake III Radio ZIP you downloaded is an update version). You can load the mod with "quake3.exe +set fs_game radio" or select it from Quake III's mod menu. Configuration A sample configuration file can be found in the Quake III Radio folder, it's sample_config.cfg. Open this file with Notepad (or any other text editor) to see what it does. Load it with the console command "\exec sample_config.cfg". You can, of course, adjust this file to your needs or create a new one. Be sure to have a working Quake III Radio configuration file before you enter any game. Quake III Radio has three radio commands:
> radio <message> | Message all
> radio_team <message> | Message team only
> radio_tell <message> | Message player under crosshair
> <message> must be a valid radio messages defined in the loaded radio configuration file. These commands can be bound to to keys, for example bind a "radio_team attack" Three radio voices are provided with Quake III Radio. You can select them by loading the correct radio configuration file. The options are: radio_male.cfg radio_female.cfg radio_neutral.cfg Type "cg_radioCfg <configfile>" (for example "cg_radioCfg radio_female.cfg") in console and then, to load the new voice, "reloadRadioCfg". Players will hear all radio messages in the voice they selected. So if you use female voice and another user male, this user will hear your radio messages as male and NOT female. User-defined Radio Messages Yes, you can add your own radio messages. How? Easy: Create a radio config file. I suggest using one of the standard radio configuration files (radio_male.cfg, radio_female.cfg or radio_neutral.cfg) as a base. Make a copy of one, rename it (example: radio_john.cfg) and then edit the file with a text editor. As you can see, a radio config file consists of three strings per line. The first string is the radio message name which will be used with the radio commands, the second string is the directory and name of the wave file which should be played when transmitting this radio message and the third string is the alternative radio text message which will be transmitted along with the radio message. Here's an example: affirmative sound/radio/john/affirmative.wav "Affirmative!" Be sure not to use any special characters like "!", "?", "&", "?", "." ... in the command and filename string for Windows compatability reasons. C++ style comments like // and /* */ can be used in a radio configuration file. IMPORTANT: The alternative text string has to be put into inverted commas! No string must be larger than 128 characters! The maximum amount of radio messages per radio configuration file is 256! Note that users which do not have your radio messages won't hear them, they will only receive the alternative text message! HUD Radio Menu The radio menu can be accessed with the command radioMenu. If you want to send a radio message to your teammates by using the menu, type or bind the command "radioMenu team" which will open up the radio menu for team messages. While the menu is opened, the commands "weapon 0" to "weapon 9" can be used to navigate the menu. These commands are bound to the keys 0-9 by default. The menu command for messages to all players is "radioMenu all". Use "radioMenu tell" when sending a radio message to the crosshair player. Commands & Variables Client:
> radio <message> | Message all players
> radio_team <message> | Message your team only
> radio_tell <message> | Message the player under crosshairs
> radioMenu <mode> | Opens the radio menu. <mode> is the radio mode which can be: "all", "team" and "tell". To close the menu, just execute the radioMenu command again.
> cg_radioCfg <configfile> | Set the radio configuration file. Default = radio_male.cfg
> reloadRadioCfg | Reloads current radio configuration file. Use after changing cg_radioCfg!
> Server:
> g_allowRadio [0/1] | Enable/Disable radio messages for all players. Default = 1 (on)
> g_radioFlood [msec] | Set forced wait time between two radio messages from the same player, prevents flooding. Default = 1000 = 1 sec
> g_radioDead [0/1] | Allow dead players to send and receive radio messages. Default = 1 (on)
FAQ
Is this a client side only mod? Does it work with any server/mod?
No. Both, client and server need to run the mod. You can only use Quake III Radio on servers running it.
Bots don't respond on radio messages or use them, why?
This feature was first planned but can no longer be implemented. How can the bots know what user-defined radio messages mean?
Is Quake III Radio similiar to Team Sound or Roger Wilco?
Not really. Team Sound and Roger Wilco are real time communication tools, that means you have to use a headset and speak your sentences. All spoken words are transmitted through the network (in IP packets). The disadvantages are that these tools use up CPU resources (while running in the background) and network bandwith (because the sound stream has to be send through the network). The advantage is that these tools work with real time communication and no pre-recorded messages. The advantages of Quake III Radio are that it does not need more CPU power than Quake III Arena does. Quake III Radio does not send voice streams through the network. The wave files are stored on each client and just played locally when someone transmit a radio message.
> Contact Quake III Radio has been created by SatanzJudge Website: http://www.planetquake.com/q3radio/ Credits
> id Software | For this great game
> booger & Taffy | For the radio voices
> CuInHell | For the radio sprite
> Alfred Reynolds, Eric Smith & Mike Weldon | For helping me with C++
> HL FireArms mod team | 'cause they rule :-)

best viewed in 1024x768+ with Internet Explorer 5+
last modified: